'use strict'

const { TheTmp } = require('the-tmp')

async function tryExample () {
  const tmp = new TheTmp()

  // Create tmp file and clean up automatically
  await tmp.while(async (filename) => {
    console.log('Generated file', filename)
  })

  // Manually cleanup
  {
    const { cleanup, filename } = await tmp.generate()
    console.log('Generated file', filename)
    cleanup() // Cleanup the file
  }
}

tryExample().catch((err) => console.error(err))
